Bug 195414 - x11/gnome3: Minor GNOME 3 update
Summary: x11/gnome3: Minor GNOME 3 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 13:57 UTC by Koop Mast
Modified: 2014-12-03 09:27 UTC (History)
2 users (show)

See Also:
kwm: exp-run?


Attachments
GNOME 3.14.2 patch (165.29 KB, patch)
2014-11-26 13:57 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2014-11-26 13:57:50 UTC
Created attachment 149889 [details]
GNOME 3.14.2 patch

Minor update to GNOME 3.14.2.
This needs a exp-run because there was a API deprecation in gdk-pixbuf2.
Comment 1 Antoine Brodin freebsd_committer 2014-11-26 17:49:15 UTC
Take for exp-run
Comment 2 Antoine Brodin freebsd_committer 2014-11-26 17:51:12 UTC
Those 3 files are affected by both this exp-run and exp-run from bug #194038 :

misc/gnome-devel-docs/Makefile
misc/gnome-user-docs/Makefile
x11-themes/gnome-themes-standard/Makefile

I will merge the 2 (the patches do not seem to conflict) and continue the exp-run on a merge of the 2.
Comment 3 Antoine Brodin freebsd_committer 2014-11-27 23:28:15 UTC
Exp run results on 10.1 i386:

http://package22.nyi.freebsd.org/build.html?mastername=101i386-default-PR195414alone&build=2014-11-26_22h24m39s

1 new failure:

+ {"origin"=>"www/netsurf", "pkgname"=>"netsurf-3.0_4", "phase"=>"build", "errortype"=>"clang"}

Failure log:

http://package22.nyi.freebsd.org/data/101i386-default-PR195414alone/2014-11-26_22h24m39s/logs/errors/netsurf-3.0_4.log

build is still ongoing on 9.1 amd64
Comment 4 Antoine Brodin freebsd_committer 2014-11-28 06:31:45 UTC
Exp-run results on 9.1 amd64:

http://package23.nyi.freebsd.org/build.html?mastername=91amd64-default-PR195414alone&build=2014-11-26_22h24m36s

1 new failure:

+ {"origin"=>"www/netsurf", "pkgname"=>"netsurf-3.0_4", "phase"=>"build", "errortype"=>"compiler_error"}

Failure log:

http://package23.nyi.freebsd.org/data/91amd64-default-PR195414alone/2014-11-26_22h24m36s/logs/errors/netsurf-3.0_4.log
Comment 5 commit-hook freebsd_committer 2014-12-03 09:18:41 UTC
A commit references this bug:

Author: kwm
Date: Wed Dec  3 09:18:38 UTC 2014
New revision: 373802
URL: https://svnweb.freebsd.org/changeset/ports/373802

Log:
  Update GNOME to 3.14.2.

  This update was brought to you in collaboration with Gustua Perez

  Make sure gtk30 pulls it the default theme (adwaita-icon-theme).
  Update the extra gnome-shell-extensions so they work with gnome-shell 3.14.
  Drop metacity from gnome3 meta-port.
  Remove the gtile gnome-shell extension since it proven to be buggy.

  Exp-run done by antoine@ for gdk-pixbuf2 deprecated API.

  PR:		195414
  Obtained from:	gnome dev repo

Changes:
  head/MOVED
  head/accessibility/at-spi2-core/Makefile
  head/accessibility/at-spi2-core/distinfo
  head/accessibility/at-spi2-core/pkg-plist
  head/accessibility/caribou/Makefile
  head/accessibility/caribou/distinfo
  head/accessibility/caribou/pkg-plist
  head/accessibility/orca/Makefile
  head/accessibility/orca/distinfo
  head/accessibility/orca/pkg-plist
  head/archivers/file-roller/Makefile
  head/archivers/file-roller/distinfo
  head/audio/gnome-music/Makefile
  head/audio/gnome-music/distinfo
  head/audio/gnome-music/pkg-plist
  head/databases/evolution-data-server/Makefile
  head/databases/evolution-data-server/distinfo
  head/deskutils/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/bijiben/distinfo
  head/deskutils/bijiben/pkg-plist
  head/deskutils/gnome-contacts/Makefile
  head/deskutils/gnome-contacts/distinfo
  head/deskutils/gnome-maps/Makefile
  head/deskutils/gnome-maps/distinfo
  head/deskutils/gnome-photos/Makefile
  head/deskutils/gnome-photos/distinfo
  head/deskutils/gnome-photos/pkg-plist
  head/deskutils/gnome-shell-extension-audio-output-switcher/Makefile
  head/deskutils/gnome-shell-extension-backslide/Makefile
  head/deskutils/gnome-shell-extension-calculator/Makefile
  head/deskutils/gnome-shell-extension-coverflow/Makefile
  head/deskutils/gnome-shell-extension-coverflow/distinfo
  head/deskutils/gnome-shell-extension-dashtodock/Makefile
  head/deskutils/gnome-shell-extension-dashtodock/distinfo
  head/deskutils/gnome-shell-extension-gtile/
  head/deskutils/gnome-shell-extension-hidetopbar/Makefile
  head/deskutils/gnome-shell-extension-hidetopbar/distinfo
  head/deskutils/gnome-shell-extension-hidetopbar/pkg-plist
  head/deskutils/gnome-shell-extension-lockkeys/Makefile
  head/deskutils/gnome-shell-extension-lockkeys/distinfo
  head/deskutils/gnome-shell-extension-mediaplayer/Makefile
  head/deskutils/gnome-shell-extension-mediaplayer/distinfo
  head/deskutils/gnome-shell-extension-mediaplayer/pkg-plist
  head/deskutils/gnome-shell-extension-openweather/Makefile
  head/deskutils/gnome-shell-extension-openweather/distinfo
  head/deskutils/gnome-shell-extension-overlay-icons/Makefile
  head/deskutils/gnome-shell-extension-overlay-icons/distinfo
  head/deskutils/gnome-shell-extension-panel-osd/Makefile
  head/deskutils/gnome-shell-extension-panel-osd/distinfo
  head/deskutils/gnome-shell-extension-trash/Makefile
  head/deskutils/gnome-shell-extension-weather/Makefile
  head/deskutils/gnome-shell-extension-weather/distinfo
  head/deskutils/gnome-shell-extension-weather/pkg-plist
  head/deskutils/gnome-shell-extra-extensions/Makefile
  head/deskutils/gnome-tweak-tool/Makefile
  head/deskutils/gnome-tweak-tool/distinfo
  head/deskutils/gnome-tweak-tool/pkg-plist
  head/deskutils/gucharmap/Makefile
  head/deskutils/gucharmap/distinfo
  head/devel/glib20/Makefile
  head/devel/glib20/distinfo
  head/devel/libgdata/Makefile
  head/devel/libgdata/distinfo
  head/devel/libgdata/pkg-plist
  head/editors/gedit/Makefile
  head/editors/gedit/distinfo
  head/editors/gedit-plugins/Makefile
  head/editors/gedit-plugins/distinfo
  head/games/four-in-a-row/Makefile
  head/games/four-in-a-row/distinfo
  head/games/gnome-chess/Makefile
  head/games/gnome-chess/distinfo
  head/games/gnome-klotski/Makefile
  head/games/gnome-klotski/distinfo
  head/games/gnome-robots/Makefile
  head/games/gnome-robots/distinfo
  head/games/gnome-sudoku/Makefile
  head/games/gnome-sudoku/distinfo
  head/games/iagno/Makefile
  head/games/iagno/distinfo
  head/graphics/eog/Makefile
  head/graphics/eog/distinfo
  head/graphics/eog/pkg-plist
  head/graphics/eog-plugins/Makefile
  head/graphics/eog-plugins/distinfo
  head/graphics/eog-plugins/pkg-plist
  head/graphics/evince/Makefile
  head/graphics/evince/distinfo
  head/graphics/evince/pkg-plist
  head/graphics/gdk-pixbuf2/Makefile
  head/graphics/gdk-pixbuf2/distinfo
  head/graphics/gdk-pixbuf2/pkg-plist
  head/graphics/gtk-update-icon-cache/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution/distinfo
  head/mail/evolution/pkg-plist
  head/mail/evolution-ews/Makefile
  head/mail/evolution-ews/distinfo
  head/mail/evolution-mapi/Makefile
  head/mail/evolution-mapi/distinfo
  head/mail/geary/Makefile
  head/mail/geary/distinfo
  head/misc/gnome-devel-docs/Makefile
  head/misc/gnome-devel-docs/distinfo
  head/misc/gnome-devel-docs/pkg-plist
  head/misc/gnome-user-docs/Makefile
  head/misc/gnome-user-docs/distinfo
  head/misc/gnome-user-docs/pkg-plist
  head/multimedia/cheese/Makefile
  head/multimedia/cheese/distinfo
  head/multimedia/cheese/pkg-plist
  head/net/gnome-online-accounts/Makefile
  head/net/gnome-online-accounts/distinfo
  head/net/vinagre/Makefile
  head/net/vinagre/distinfo
  head/net/vino/Makefile
  head/net/vino/distinfo
  head/sysutils/brasero/Makefile
  head/sysutils/brasero/distinfo
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/gnome-control-center/distinfo
  head/sysutils/gnome-settings-daemon/Makefile
  head/sysutils/gnome-settings-daemon/distinfo
  head/sysutils/gnome-settings-daemon/pkg-plist
  head/sysutils/tracker/Makefile
  head/sysutils/tracker/distinfo
  head/sysutils/tracker/pkg-plist
  head/www/netsurf/Makefile
  head/x11/gnome-desktop/Makefile
  head/x11/gnome-desktop/distinfo
  head/x11/gnome-shell/Makefile
  head/x11/gnome-shell/distinfo
  head/x11/gnome-shell-extensions/Makefile
  head/x11/gnome-shell-extensions/distinfo
  head/x11/gnome-shell-extensions/files/
  head/x11/gnome-shell-extensions/files/patch-extensions_places-menu_placeDisplay.js
  head/x11/gnome-terminal/Makefile
  head/x11/gnome-terminal/distinfo
  head/x11/gnome3/Makefile
  head/x11-fm/nautilus/Makefile
  head/x11-fm/nautilus/distinfo
  head/x11-themes/adwaita-icon-theme/Makefile
  head/x11-themes/adwaita-icon-theme/pkg-plist
  head/x11-themes/gnome-themes-standard/Makefile
  head/x11-themes/gnome-themes-standard/distinfo
  head/x11-themes/gnome-themes-standard/pkg-plist
  head/x11-toolkits/gtk20/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/distinfo
  head/x11-toolkits/gtk30/pkg-plist
  head/x11-toolkits/gtksourceview3/Makefile
  head/x11-toolkits/gtksourceview3/distinfo
  head/x11-toolkits/libwnck3/Makefile
  head/x11-toolkits/libwnck3/distinfo
  head/x11-toolkits/vte3/Makefile
  head/x11-toolkits/vte3/distinfo
  head/x11-toolkits/vte3/files/patch-src_vteterminal.h
  head/x11-toolkits/vte3/pkg-plist
  head/x11-wm/mutter/Makefile
  head/x11-wm/mutter/distinfo
  head/x11-wm/mutter/files/extra-488dd0b
  head/x11-wm/mutter/files/patch-src_backends_meta-cursor-private.h
  head/x11-wm/mutter/files/patch-src_backends_meta-cursor-renderer.h
Comment 6 Koop Mast freebsd_committer 2014-12-03 09:27:30 UTC
Committed